Subject: [PATCH] ARM: /proc/cpuinfo: DT: Add support for Revision

From: [email-masked] (Pali Rohár)
Date: Fri, 27 Feb 2015 16:45:58 +0100

On Friday 30 January 2015 22:03:36 Rob Herring wrote:
> lOn Fri, Jan 30, 2015 at 8:14 AM, Pali Roh?r 
<[email-masked]> wrote:
> > On Monday 26 January 2015 21:22:27 Rob Herring wrote:
> >> On Mon, Jan 26, 2015 at 1:09 PM, Pali Roh?r
> > 
> > <[email-masked]> wrote:
> >> > Ok, here is patch which set Revision field (global
> >> > variable
> 
> >> > system_rev) in /proc/cpuinfo from DT revision property:
> [...]
> 
> >> > I do not know which DT property to use for storing HW
> >> > Revision, so if "/revision" is not correct one, let me
> >> > know what to use instead. Also you can add my
> >> > Signed-off-by for both patches.
> >> 
> >> It is the correct property, but /revision in DT is a
> >> string.
> >> 
> >> You need to add your own sign-off.
> >> 
> >> Rob
> > 
> > Any documentation which says that /revision is string?
> 
> Sorry, I was confusing this with serial-number, so I guess a
> number is fine here.
> 
> > If it is really string, how to store ATAG_REVISON (number)
> > to string? dec or hex?
> 
> However /proc/cpuinfo displays it would be fine if you stay
> with a string.
> 
> Rob

I will send new patch which will store number value as string. So 
same output will be in /proc/cpuinfo and in DT /revision.

-- 
Pali Roh?r
pali.rohar at gmail.com
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: This is a digitally signed message part.
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20150227/f30eeba9/attachment.sig>